Loading...
Searching...
No Matches
_snd_ump_msg_flex_data_meta Struct Reference

`#include <ump_msg.h>`

## Data Fields

uint8_t | type:4
uint8_t | group:4
uint8_t | format:2
uint8_t | addrs:2
uint8_t | channel:4
uint8_t | status_bank
uint8_t | status
uint32_t | data [3]

## Detailed Description

Metadata / Text Message (128bit)

## Field Documentation

## addrs

uint8_t _snd_ump_msg_flex_data_meta::addrs

Address

## channel

uint8_t _snd_ump_msg_flex_data_meta::channel

Channel

## data

uint32_t _snd_ump_msg_flex_data_meta::data[3]

Data (96 bits)

## format

uint8_t _snd_ump_msg_flex_data_meta::format

Format

## group

uint8_t _snd_ump_msg_flex_data_meta::group

UMP Group

## status

uint8_t _snd_ump_msg_flex_data_meta::status

Status

## status_bank

uint8_t _snd_ump_msg_flex_data_meta::status_bank

Status Bank

## type

uint8_t _snd_ump_msg_flex_data_meta::type

UMP packet type

The documentation for this struct was generated from the following file:

- /packaging/alsa-lib/include/ump_msg.h